org.apache.avro.hadoop.file

## Class SortedKeyValueFile.Reader.Options

- java.lang.Object
- - org.apache.avro.hadoop.file.SortedKeyValueFile.Reader.Options

- Enclosing class:
    SortedKeyValueFile.Reader<K,V>

      public static class SortedKeyValueFile.Reader.Options
      extends Object

  A class to encapsulate the options of a Reader.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Options()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getConfiguration()` Gets the configuration.
    `GenericData` | `getDataModel()` Return the data model.
    `Schema` | `getKeySchema()` Gets the reader schema for the key.
    `Path` | `getPath()` Gets the input path.
    `Schema` | `getValueSchema()` Gets the reader schema for the value.
    `SortedKeyValueFile.Reader.Options` | `withConfiguration(Configuration conf)` Sets the configuration.
    `SortedKeyValueFile.Reader.Options` | `withDataModel(GenericData model)` Set the data model.
    `SortedKeyValueFile.Reader.Options` | `withKeySchema(Schema keySchema)` Sets the reader schema for the key.
    `SortedKeyValueFile.Reader.Options` | `withPath(Path path)` Sets the input path.
    `SortedKeyValueFile.Reader.Options` | `withValueSchema(Schema valueSchema)` Sets the reader schema for the value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Options

          public Options()

  - ### Method Detail

    - #### withConfiguration

          public SortedKeyValueFile.Reader.Options withConfiguration(Configuration conf)

      Sets the configuration.
      Parameters:
        `conf` - The configuration.
      Returns:
        This options instance.

    - #### getConfiguration

          public Configuration getConfiguration()

      Gets the configuration.
      Returns:
        The configuration.

    - #### withPath

          public SortedKeyValueFile.Reader.Options withPath(Path path)

      Sets the input path.
      Parameters:
        `path` - The input path.
      Returns:
        This options instance.

    - #### getPath

          public Path getPath()

      Gets the input path.
      Returns:
        The input path.

    - #### withKeySchema

          public SortedKeyValueFile.Reader.Options withKeySchema(Schema keySchema)

      Sets the reader schema for the key.
      Parameters:
        `keySchema` - The reader schema for the key.
      Returns:
        This options instance.

    - #### getKeySchema

          public Schema getKeySchema()

      Gets the reader schema for the key.
      Returns:
        The reader schema for the key.

    - #### withValueSchema

          public SortedKeyValueFile.Reader.Options withValueSchema(Schema valueSchema)

      Sets the reader schema for the value.
      Parameters:
        `valueSchema` - The reader schema for the value.
      Returns:
        This options instance.

    - #### getValueSchema

          public Schema getValueSchema()

      Gets the reader schema for the value.
      Returns:
        The reader schema for the value.

    - #### withDataModel

          public SortedKeyValueFile.Reader.Options withDataModel(GenericData model)

      Set the data model.

    - #### getDataModel

          public GenericData getDataModel()

      Return the data model.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.